Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration
Interface Registration

All Known Implementing Classes:
  PersistentRegistration, RegistrationImpl

    public interface Registration

A class representing an association between a consumer and a producer.

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun, Julien Viet

Method Summary
`void` | `clearAssociatedState()` Clears any state (cloned portlet information, session, etc) associated with this Registration
`Consumer` | `getConsumer()` Return the consumer owning this registration.
`java.lang.String` | `getId()` Retrieves the internal identifier for this Registration.
`java.util.Map` | `getProperties()` Retrieve the properties associated with this Registration.
`java.lang.Object` | `getPropertyValueFor(javax.xml.namespace.QName propertyName)`
`java.lang.Object` | `getPropertyValueFor(java.lang.String propertyName)`
`java.lang.String` | `getRegistrationHandle()` Retrieves the handle associated with this Registration
`RegistrationStatus` | `getStatus()` Return the status of this specific registration.
`boolean` | `hasEqualProperties(java.util.Map properties)`
`boolean` | `hasEqualProperties(Registration registration)`
`void` | `removeProperty(javax.xml.namespace.QName propertyName)`
`void` | `removeProperty(java.lang.String propertyName)`
`void` | `setPropertyValueFor(javax.xml.namespace.QName propertyName, java.lang.Object value)`
`void` | `setPropertyValueFor(java.lang.String propertyName, java.lang.Object value)`
`void` | `setRegistrationHandle(java.lang.String handle)` Sets the handle for this Registration.
`void` | `setStatus(RegistrationStatus status)` Update the registration status
`void` | `updateProperties(java.util.Map registrationProperties)`

Method Detail

### getId

    java.lang.String getId()

  Retrieves the internal identifier for this Registration. This will correspond to the database key for this Registration. This identifier can be used by `RegistrationPolicy` to create a handle for this Registration.

  Returns:
    this Registration's internal identifier.

### setRegistrationHandle

    void setRegistrationHandle(java.lang.String handle)

  Sets the handle for this Registration.

  Parameters:
    `handle` -

### getRegistrationHandle

    java.lang.String getRegistrationHandle()

  Retrieves the handle associated with this Registration

  Returns:
    the registration handle

### getConsumer

    Consumer getConsumer()

  Return the consumer owning this registration.

  Returns:
    the owning consumer

### getProperties

    java.util.Map getProperties()

  Retrieve the properties associated with this Registration.

  Returns:
    a Map containing the associated properties

### setPropertyValueFor

    void setPropertyValueFor(javax.xml.namespace.QName propertyName,
                             java.lang.Object value)
                             throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setPropertyValueFor

    void setPropertyValueFor(java.lang.String propertyName,
                             java.lang.Object value)

### hasEqualProperties

    boolean hasEqualProperties(Registration registration)

### hasEqualProperties

    boolean hasEqualProperties(java.util.Map properties)

### getStatus

    RegistrationStatus getStatus()

  Return the status of this specific registration.

  Returns:
    the status

### setStatus

    void setStatus(RegistrationStatus status)

  Update the registration status

  Parameters:
    `status` - the new status

### clearAssociatedState

    void clearAssociatedState()

  Clears any state (cloned portlet information, session, etc) associated with this Registration

### updateProperties

    void updateProperties(java.util.Map registrationProperties)

### removeProperty

    void removeProperty(javax.xml.namespace.QName propertyName)

### removeProperty

    void removeProperty(java.lang.String propertyName)

### getPropertyValueFor

    java.lang.Object getPropertyValueFor(javax.xml.namespace.QName propertyName)

### getPropertyValueFor

    java.lang.Object getPropertyValueFor(java.lang.String propertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD